flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From OmPrakash Muppirala <bigosma...@gmail.com>
Subject Re: [Installer] Installation aborted
Date Thu, 05 Mar 2015 01:25:14 GMT
Forgot to reply.

I can confirm that this problem has been fixed.

Justin, can you try it out and confirm as well?

Thanks,
Om

On Fri, Feb 27, 2015 at 12:06 AM, Alex Harui <aharui@adobe.com> wrote:

> Try it now.  It worked on my Mac.
>
> On 2/26/15, 1:22 PM, "Alex Harui" <aharui@adobe.com> wrote:
>
> >OK, I will take a look tonight.
> >
> >-Alex
> >
> >On 2/26/15, 11:11 AM, "OmPrakash Muppirala" <bigosmallm@gmail.com> wrote:
> >
> >>Alex,
> >>
> >>Can you please take a look?  We are getting more complaints about this on
> >>the list and on twitter.
> >>I just tried it and the problem is still there.
> >>
> >>Thanks,
> >>Om
> >>
> >>On Mon, Feb 23, 2015 at 12:57 AM, Alex Harui <aharui@adobe.com> wrote:
> >>
> >>> IMO, we need to coordinate so only one person is trying to fix this.
> >>>Last
> >>> time, I gave up because others were tweaking the config file at the
> >>>same
> >>> time.
> >>>
> >>> All it should require is debugging, but keep in mind that if you change
> >>> the config file, you should change all three places where AIR17 and
> >>> Flash17 have entries, and that it may have been a while since we saw a
> >>> beta that didn’t already have a release version so the patterns in
> >>>recent
> >>> SVN history may not apply perfectly, or there could just be a bug.
> >>>IOW,
> >>> most often recently, the config file had entries for both FPxx and
> >>> FPxxBeta and not just FPyy as a Beta.
> >>>
> >>> If you guys really can’t figure it out, I’ll try to take a look
> >>>mid-week.
> >>>
> >>> -Alex
> >>>
> >>> On 2/22/15, 3:45 PM, "OmPrakash Muppirala" <bigosmallm@gmail.com>
> >>>wrote:
> >>>
> >>> >This is the earlier thread where I reported the same error.  Let's
> >>> >continue
> >>> >to discuss the issue here since it has more details.
> >>> >
> >>> >Thanks,
> >>> >Om
> >>> >
> >>> >On Mon, Feb 9, 2015 at 1:40 PM, OmPrakash Muppirala
> >>><bigosmallm@gmail.com
> >>> >
> >>> >wrote:
> >>> >
> >>> >> Hmm, tried again (twice)  Still getting the same exact error.
> >>> >>
> >>> >> Thanks,
> >>> >> Om
> >>> >>
> >>> >> On Mon, Feb 9, 2015 at 12:48 PM, Alex Harui <aharui@adobe.com>
> >>>wrote:
> >>> >>
> >>> >>> SVN history shows some patterns that supposedly work correctly.
 I
> >>>just
> >>> >>> updated to those.  Give it a try.
> >>> >>>
> >>> >>> On 2/9/15, 11:48 AM, "OmPrakash Muppirala" <bigosmallm@gmail.com>
> >>> >>>wrote:
> >>> >>>
> >>> >>> >Alex, any guess as to what could be happening here?
> >>> >>> >
> >>> >>> >Thanks,
> >>> >>> >Om
> >>> >>> >
> >>> >>> >On Mon, Feb 9, 2015 at 12:45 AM, OmPrakash Muppirala
> >>> >>> ><bigosmallm@gmail.com>
> >>> >>> >wrote:
> >>> >>> >
> >>> >>> >> I added the attributes version="17.0b" versionID="17.0b"
> >>> >>> >>
> >>> >>> >> That doesn't seem to have fixed it.
> >>> >>> >>
> >>> >>> >> Thanks,
> >>> >>> >> Om
> >>> >>> >>
> >>> >>> >> On Mon, Feb 9, 2015 at 12:11 AM, OmPrakash Muppirala
> >>> >>> >><bigosmallm@gmail.com
> >>> >>> >> > wrote:
> >>> >>> >>
> >>> >>> >>> On Mon, Feb 9, 2015 at 12:00 AM, Alex Harui <aharui@adobe.com>
> >>> >>>wrote:
> >>> >>> >>>
> >>> >>> >>>> The call stack shows it is an <equals>
tag.  You can use the
> >>> >>> >>>>expressions
> >>> >>> >>>> window to view a tag instance’s xml property
to see which tag
> >>>it
> >>> >>>is.
> >>> >>> >>>>
> >>> >>> >>>> In this case, it is:
> >>> >>> >>>>
> >>> >>> >>>> <equals arg1="${flash.sdk.swfversion}"
> >>> >>> >>>> arg2="${flash.sdk.default.swfversion}"/>
> >>> >>> >>>>
> >>> >>> >>>>
> >>> >>> >>>>
> >>> >>> >>>> It appears that the install script is expecting
the versionID
> >>>in
> >>> >>>the
> >>> >>> >>>> installer config to be 17.0b
> >>> >>> >>>>
> >>> >>> >>>>
> >>> >>> >>> I see that "version" is set to 17.0.  Should that
be changed to
> >>> >>>17.0b
> >>> >>> ?
> >>> >>> >>>
> >>> >>> >>> Thanks,
> >>> >>> >>> Om
> >>> >>> >>>
> >>> >>> >>>
> >>> >>> >>>> -Alex
> >>> >>> >>>>
> >>> >>> >>>> On 2/8/15, 11:18 PM, "OmPrakash Muppirala"
> >>><bigosmallm@gmail.com>
> >>> >>> >>>>wrote:
> >>> >>> >>>>
> >>> >>> >>>> >Okay, I got the same error during a debug
run as well.  Here
> >>>is
> >>> >>>the
> >>> >>> >>>> stack
> >>> >>> >>>> >trace:
> >>> >>> >>>> >
> >>> >>> >>>> >TypeError: Error #1009: Cannot access
a property or method of
> >>>a
> >>> >>>null
> >>> >>> >>>> >object
> >>> >>> >>>> >reference.
> >>> >>> >>>> >at
> >>> >>> >>>>
> >>> >>> >>>>
> >>> >>>
> >>> >>>
> >>>
> >>>>>>>>>>>org.apache.flex.ant::Ant/getValue()[C:\p\flexroot\git\flex-utili
> >>>>>>>>>>>t
> >>>>>>>>>>>ie
> >>> >>>>>>>>s\a
> >>> >>> >>>>>nt_o
> >>> >>> >>>> >n_air\src\org\apache\flex\ant\Ant.as:216]
> >>> >>> >>>> >at
> >>> >>> >>>>
> >>> >>> >>>>
> >>> >>>
> >>> >>>
> >>>
> >>>>>>>>>>>org.apache.flex.ant.tags.supportClasses::TagHandler/getAttribute
> >>>>>>>>>>>V
> >>>>>>>>>>>al
> >>> >>>>>>>>ue(
> >>> >>> >>>>>)[C:
> >>> >>> >>>>
> >>> >>> >>>>
> >>> >>>
> >>> >>>
> >>>
> >>>>>>>>>>>\p\flexroot\git\flex-utilities\ant_on_air\src\org\apache\flex\an
> >>>>>>>>>>>t
> >>>>>>>>>>>\t
> >>> >>>>>>>>ags
> >>> >>> >>>>>\sup
> >>> >>> >>>> >portClasses\TagHandler.as:73]
> >>> >>> >>>> >at org.apache.flex.ant.tags::Equals/get
> >>> >>> >>>>
> >>> >>> >>>>
> >>> >>>
> >>> >>>
> >>>
> >>>>>>>>>>>arg1()[C:\p\flexroot\git\flex-utilities\ant_on_air\src\org\apach
> >>>>>>>>>>>e
> >>>>>>>>>>>\f
> >>> >>>>>>>>lex
> >>> >>> >>>>>\ant
> >>> >>> >>>> >\tags\Equals.as:43]
> >>> >>> >>>> >at
> >>> >>> >>>>
> >>> >>> >>>>
> >>> >>>
> >>> >>>
> >>>
> >>>>>>>>>>>org.apache.flex.ant.tags::Equals/getValue()[C:\p\flexroot\git\fl
> >>>>>>>>>>>e
> >>>>>>>>>>>x-
> >>> >>>>>>>>uti
> >>> >>> >>>>>liti
> >>> >>> >>>> >es\ant_on_air\src\org\apache\flex\ant\tags\Equals.as:64]
> >>> >>> >>>> >at
> >>> >>> >>>>
> >>> >>> >>>>
> >>> >>>
> >>> >>>
> >>>
> >>>>>>>>>>>org.apache.flex.ant.tags::Not/getValue()[C:\p\flexroot\git\flex-
> >>>>>>>>>>>u
> >>>>>>>>>>>ti
> >>> >>>>>>>>lit
> >>> >>> >>>>>ies\
> >>> >>> >>>> >ant_on_air\src\org\apache\flex\ant\tags\Not.as:48]
> >>> >>> >>>> >at org.apache.flex.ant.tags::Condition/get
> >>> >>> >>>>
> >>> >>> >>>>
> >>> >>>
> >>> >>>
> >>>
> >>>>>>>>>>>computedValue()[C:\p\flexroot\git\flex-utilities\ant_on_air\src\
> >>>>>>>>>>>o
> >>>>>>>>>>>rg
> >>> >>>>>>>>\ap
> >>> >>> >>>>>ache
> >>> >>> >>>> >\flex\ant\tags\Condition.as:63]
> >>> >>> >>>> >at
> >>> >>> >>>>
> >>> >>> >>>>
> >>> >>>
> >>> >>>
> >>>
> >>>>>>>>>>>org.apache.flex.ant.tags::Condition/execute()[C:\p\flexroot\git\
> >>>>>>>>>>>f
> >>>>>>>>>>>le
> >>> >>>>>>>>x-u
> >>> >>> >>>>>tili
> >>> >>> >>>> >ties\ant_on_air\src\org\apache\flex\ant\tags\Condition.as:48]
> >>> >>> >>>> >at
> >>> >>> >>>>
> >>> >>> >>>>
> >>> >>>
> >>> >>>
> >>>
> >>>>>>>>>>>org.apache.flex.ant.tags::Target/processSteps()[C:\p\flexroot\gi
> >>>>>>>>>>>t
> >>>>>>>>>>>\f
> >>> >>>>>>>>lex
> >>> >>> >>>>>-uti
> >>> >>> >>>> >lities\ant_on_air\src\org\apache\flex\ant\tags\Target.as:168]
> >>> >>> >>>> >at
> >>> >>> >>>>
> >>> >>> >>>>
> >>> >>>
> >>> >>>
> >>>
> >>>>>>>>>>>org.apache.flex.ant::Ant/doCallback()[C:\p\flexroot\git\flex-uti
> >>>>>>>>>>>l
> >>>>>>>>>>>it
> >>> >>>>>>>>ies
> >>> >>> >>>>>\ant
> >>> >>> >>>> >_on_air\src\org\apache\flex\ant\Ant.as:137]
> >>> >>> >>>> >at
> >>> >>> >>>>
> >>> >>> >>>>
> >>> >>>
> >>> >>>
> >>>
> >>>>>>>>>>>InstallApacheFlex/enterFrameHandler()[C:\p\flexroot\git\flex-uti
> >>>>>>>>>>>l
> >>>>>>>>>>>it
> >>> >>>>>>>>ies
> >>> >>> >>>>>\ins
> >>> >>> >>>> >taller\src\InstallApacheFlex.mxml:1847]
> >>> >>> >>>> >
> >>> >>> >>>> >
> >>> >>> >>>> >Looks like there is some problem in parsing
a particular tag.
> >>> >>> >>>> >
> >>> >>> >>>> >Thanks,
> >>> >>> >>>> >Om
> >>> >>> >>>> >
> >>> >>> >>>> >
> >>> >>> >>>> >On Sun, Feb 8, 2015 at 10:14 PM, OmPrakash
Muppirala
> >>> >>> >>>> ><bigosmallm@gmail.com>
> >>> >>> >>>> >wrote:
> >>> >>> >>>> >
> >>> >>> >>>> >>
> >>> >>> >>>> >>
> >>> >>> >>>> >> On Sun, Feb 8, 2015 at 10:06 PM,
Justin Mclean
> >>> >>> >>>> >><justin@classsoftware.com>
> >>> >>> >>>> >> wrote:
> >>> >>> >>>> >>
> >>> >>> >>>> >>> Hi,
> >>> >>> >>>> >>>
> >>> >>> >>>> >>> > Are you still getting that
error?
> >>> >>> >>>> >>>
> >>> >>> >>>> >>> Yes.
> >>> >>> >>>> >>>
> >>> >>> >>>> >>> >  I looked at the google
analytics report and I dont see
> >>>it
> >>> >>> being
> >>> >>> >>>> >>> widespread.
> >>> >>> >>>> >>>
> >>> >>> >>>> >>> I don't think it's being reported
in the google analytics.
> >>> >>> >>>> >>>
> >>> >>> >>>> >>>
> >>> >>> >>>> >> Okay, I will run it through the debugger
and see what's
> >>> >>>happening.
> >>> >>> >>>> >>
> >>> >>> >>>> >> Thanks,
> >>> >>> >>>> >> Om
> >>> >>> >>>> >>
> >>> >>> >>>> >>
> >>> >>> >>>> >>> Justin
> >>> >>> >>>> >>
> >>> >>> >>>> >>
> >>> >>> >>>> >>
> >>> >>> >>>>
> >>> >>> >>>>
> >>> >>> >>>
> >>> >>> >>
> >>> >>>
> >>> >>>
> >>> >>
> >>>
> >>>
> >
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message